#

require 'numru/gphys'
include NumRu

#---------------------- original data open
dir = './'
fname = 'U.nc'
var="U"
var_detrend="u_detrend"

st = 70000
et = 80000

nt = (et-st).to_i
data = GPhys::IO.open(dir+fname,var)\
  .cut('time'=>st..et,'lat'=>-15..15)

#---------------------- setting output file
outdir="./"
outfname2="daily_rmAC.nc"
outfile2 = NetCDF.create("#{outdir}#{outfname2}")

#data.del_att('missing_value')
#data.del_att('actual_range')
#data.del_att('valid_range')
data_detrend = data.detrend(-1)
data_detrend.rename(var_detrend)
data_detrend.long_name=var_detrend
GPhys::NetCDF_IO.write(outfile2,data_detrend)
outfile2.close

